XnStack Class Reference

`#include <XnStack.h>`

## Public Member Functions

| XnStack ()
| ~XnStack ()
XnStatus | Push (XnValue const &value)
XnStatus | Pop (XnValue &value)
XnValue const & | Top () const
XnValue & | Top ()
XnBool | IsEmpty () const
XnUInt32 | Size () const

## Detailed Description

The stack

## Constructor & Destructor Documentation

## XnStack()

XnStack::XnStack | ( |  | ) |

inline

Constructor. Initialize internal representations

## ~XnStack()

XnStack::~XnStack | ( |  | ) |

inline

Destructor. Destroy internal representations

## Member Function Documentation

## IsEmpty()

XnBool XnStack::IsEmpty | ( |  | ) | const

inline

Check if stack is empty

## Pop()

XnStatus XnStack::Pop | ( | XnValue & | value | ) |

inline

Pop the value at the top of the stack

Parameters

  value | [out] The value that was at the top of the stack

Returns
  XN_STATUS_IS_EMPTY The stack is empty

## Push()

XnStatus XnStack::Push | ( | XnValue const & | value | ) |

inline

Push a new value to the stack

Parameters

  value | [in] The value to add to the stack

Returns
  XN_STATUS_ALLOC_FAILED Failed to add to the stack because no nodes are available.

## Size()

XnUInt32 XnStack::Size | ( |  | ) | const

inline

Get current size of the stack

## Top() [1/2]

XnValue & XnStack::Top | ( |  | ) |

inline

Get the value at the top of the queue (it is user responsibility to check queue is not empty)

Returns
  a reference to the object at head of the queue.

## Top() [2/2]

XnValue const & XnStack::Top | ( |  | ) | const

inline

Get the value at the top of the queue (it is user responsibility to check queue is not empty)

Returns
  a reference to the object at head of the queue.

The documentation for this class was generated from the following file:

- XnStack.h